Redmine - Defect #13626

Spent time report. Details: Week
2013-03-28 10:58 - Maxim Drozdov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 2.3.0
Description

Hello, team!

The 1st system, where this bug appear.
We use:

Redmine 1.4.4.stable.10658 (version 2.3.0)
Ruby 1.8.7

Rails 2.3.14

RubyGems 1.8.24

MySQL 5.1.63

e o o o o

The 1st system, where this bug appear.

But we duplicated the database to the new server from the system above and installed the 2.3.0 Redmine version on the new server
too. The configuration of te new server

¢ Redmine 2.3.0.stable.11670
* Ruby 1.9.2

¢ Rails 3.2.13

¢ RubyGems 1.3.7

e MySQL 5.1.66

Way to this bug

1. link Projects

2. link Overall spent time

3. button Report

4. select the Date range From: date1 To date2
5. Select Details:Week

6. select Add:Project (or other)

Bug description: the number of hours in the right bottom corner of table does not correspond to the text "Total: NNN hours".

Note, if you choose another "Details" value on the 5th step (Year, Month or Days), the bug will not appear and the number of hours in
the right bottom corner of table will correspond to the text "Total: NNN hours" always.

Please, note, that this problem is not related with:

e the Defect #5329, because | didn't choose the first or the last week;
¢ the Defect #13159, which seems to be duplicated from the #5329.

History

#1 - 2013-03-28 12:09 - Maxim Drozdov

I've forgotten to write, that this bug appears in both systems (old 1.4.4 and new 2.3.0)

#2 - 2013-03-29 03:00 - Filou Centrinov

Do you have a screenshot for a concrete example?
https://www.redmine.org/issues/5329
https://www.redmine.org/issues/13159
https://www.redmine.org/issues/5329

#3 - 2013-03-29 06:14 - Maxim Drozdov
- File Overall_spent_time_Details_Week.png added
- File Project_spent_time_Details_Week .png added

Filou Centrinov wrote:

Do you have a screenshot for a concrete example?

Hello Filou,
yes, please see the 1st screenshot i've attached.
| want to add some info that this bug appear by another way:

1. choose some certain project;

2. link the 'Overview' tab;

3. link 'Report'

4. select the Date range From: date1 To date2
5. select 'Details':'Week'

6. select 'Add':'Activity' or any other value

and this bug appear (see the 2nd screenshot).

#4 - 2013-03-31 19:02 - Filou Centrinov

Your screenshots are not made in 2.3, but | can hope that is looking the same in 2.3.
| can't reproduce this bug. May you can make some more analyze? Are the sums of a single activity correct? Add "Activity" and some more filter. May
this helps you to locate the bug and us to reproduce your bug.

#5 - 2013-04-01 15:30 - Maxim Drozdov

- File Project_spent_time_Details_Month_v.1.4.4_.png added

- File Project_spent_time_Details_Year v.1.4.4_.png added

- File Project_spent_time_Details_Days_v.1.4.4_.png added

- File Project_spent_time_Details_Days Add_Activity Member_Status v.1.4.4.png added

- File Project_spent_time_Details_Month_Add_Activity Member_Status v.1.4.4..png added
- File Project_spent_time_Details_Week_ Add_Activity Member_Status_v.1.4.4..png added
- File Project_spent_time_Details_Week_Add_Activity Member_Status_v.2.3.0.png added

- File Project_spent_time_Details_Days Add_Activity Member_Status v.2.3.0.png added

- File Project_spent_time_Details_Month_Add_Activity Member_Status_v.2.3.0.png added

Hello, Filou!

Your screenshots are not made in 2.3

Yes, that screenshots are made in v. Redmine 1.4.4.stable.10658

{version2-3-0} was a misprint

May you can make some more analyze?

Yes, of course.
Are the sums of a single activity correct?
No, they aren't correct.
However, if | choose Details:Month or Details:Year or Details:Days, all sums will be correct (see the new screenshots).

Add "Activity" and some more filter.
| chose the Details:Week and set the "Add" parameter into these sequential order:

1. Activity
2. Member
3. Status

then i got the same wrong view (see).

Investigation of the v.2.3.0

A result is the same (see screenshots for v.2.3.0).
"Details:Week" leads wrong sums.

#6 - 2013-04-01 19:35 - Filou Centrinov

For me it seems, that there is something wrong in the database. Could you apply the following script to your database?

SELECT (DATE_FORMAT (spent_on, '$v') - tweek) as week_diff
FROM time_entries
GROUP BY week_diff

The result should be: | \yeek diff

0

EDIT:
Or just upload the export from table time_entries:

SELECT *

FROM time_entries

WHERE spent_on >= '2013-03-11' AND
spent_on <= '2013-03-21"

#7 - 2013-04-02 07:22 - Maxim Drozdov
- File time_entries_2013-03-11_2013-03-21.csv added

Hello, Filou
SELECT (DATE_FORMAT(spent_on,'%V') - tweek) as week_diff

FROM time_entries
GROUP BY week_diff

The result should be: | \yeek diff

0

I'got: | week_diff

0

1

Or just upload the export from table time_entries:
SELECT *
FROM time_entries
WHERE spent_on >="'2013-03-11' AND
spent_on <= '2013-03-21'
Please, see in the time_entries_2013-03-11_2013-03-21.csv
And note, that these troubles with the 'Details:Week' appeare in another time gaps (not only from 2013-03-11 to 2013-03-21).

#8 - 2013-04-02 15:17 - Filou Centrinov

Your weeks havn't been saved corretly in your database. Run this SQL-query to fix your database table:

UPDATE time_entries
SET tweek = DATE_FORMAT (spent_on, '$v');
| don't know how you got wrong values into your database. Let us know, if this bug occurs again.

#9 - 2013-04-05 05:31 - Maxim Drozdov

Hello, Filou!

Due to SQL-queries you recommended, this bug disappeared.
Thank you!

#10 - 2013-04-05 08:51 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Thank you.
